| Home | Libraries | People | FAQ | More

#### posix::basic_stream_descriptor::operator=

Move-assign a `posix::basic_stream_descriptor` from another.

    basic_stream_descriptor & operator=(
        basic_stream_descriptor && other);

This assignment operator moves a stream descriptor from one object to another.

###### Parameters

other

  The other `posix::basic_stream_descriptor` object from which the move will occur.

###### Remarks

Following the move, the moved-from object is in the same state as if constructed using the `basic_stream_descriptor(io_service&) constructor`.